Package org.apache.calcite.avatica

## Enum QueryState.StateType

- java.lang.Object
- - java.lang.Enum<QueryState.StateType>
  - - org.apache.calcite.avatica.QueryState.StateType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<QueryState.StateType>`

Enclosing class:
  QueryState

    public static enum QueryState.StateType
    extends java.lang.Enum<QueryState.StateType>

An enumeration that represents how a ResultSet was created.

### Enum Constant Summary

Enum Constants
`METADATA`
`SQL`

### Constructor Summary

Constructors
`private` `StateType()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static QueryState.StateType` `fromProto​(Common.StateType protoType)`
`Common.StateType` `toProto()`
`static QueryState.StateType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QueryState.StateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SQL

    public static final QueryState.StateType SQL

#### METADATA

    public static final QueryState.StateType METADATA

### Constructor Detail

#### StateType

    private StateType()

### Method Detail

#### values

    public static QueryState.StateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryState.StateType c : QueryState.StateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryState.StateType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toProto

    public Common.StateType toProto()

#### fromProto

    public static QueryState.StateType fromProto​(Common.StateType protoType)